Name:           wol
Version:        0.7.1
Release:        %mkrel 20
Summary:        Wake On Lan client

Group:          System/Base
License:        GPLv2+
URL:            https://sourceforge.net/projects/wake-on-lan/
Source0:        https://downloads.sourceforge.net/wake-on-lan/%{name}-%{version}.tar.gz
Patch0:         wol-0.7.1-Fix-config.h-test-consumption.patch
Patch1:         wol-0.7.1-Fix-malloc-detection.patch
Patch2:         wol-0.7.1-linux-headers.patch

BuildRequires:  gettext



%description
wol implements Wake On LAN functionality in a small program. It wakes up
hardware that is Magic Packet compliant. SecureON is supported by wol too.

%files -f %{name}.lang
%doc AUTHORS ChangeLog NEWS README TODO
%{_infodir}/%{name}.info.*
%{_mandir}/man?/%{name}.*
%{_bindir}/%{name}*

#--------------------------------------------------------------------

%prep
%autosetup -p1

# fix charset
iconv -f iso8859-1 -t utf-8 ChangeLog > ChangeLog.conv
touch -c -r ChangeLog ChangeLog.conv
mv ChangeLog.conv ChangeLog

%build
%global optflags %optflags -std=gnu17
autoreconf -fi
%configure --disable-static
%make_build

%install
%make_install

%find_lang %{name}


%changelog
* Thu May 22 2025 daviddavid <daviddavid> 0.7.1-20.mga10
+ Revision: 2185617
- fix build with gcc 15 using -std=gnu17

* Mon Oct 21 2024 ns80 <ns80> 0.7.1-19.mga10
+ Revision: 2109285
- add patches from openSUSE to try to fix building with GCC 14

* Thu Mar 17 2022 umeabot <umeabot> 0.7.1-18.mga9
+ Revision: 1797111
- Mageia 9 Mass Rebuild

* Sat Aug 22 2020 joequant <joequant> 0.7.1-17.mga8
+ Revision: 1617884
- remove arm64 workaround
+ danf <danf>
- Switch URLs from http: to https:

* Tue Feb 11 2020 umeabot <umeabot> 0.7.1-16.mga8
+ Revision: 1489028
- Mageia 8 Mass Rebuild

* Mon Sep 03 2018 tv <tv> 0.7.1-15.mga7
+ Revision: 1256797
- rely on filetriggers for info system (mga#23482)

* Wed Jul 11 2018 wally <wally> 0.7.1-14.mga7
+ Revision: 1243040
- fix build on aarch64

* Mon Feb 08 2016 umeabot <umeabot> 0.7.1-13.mga6
+ Revision: 946824
- Mageia 6 Mass Rebuild

* Wed Oct 15 2014 umeabot <umeabot> 0.7.1-12.mga5
+ Revision: 738861
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 0.7.1-11.mga5
+ Revision: 690360
- Mageia 5 Mass Rebuild

* Fri Oct 18 2013 umeabot <umeabot> 0.7.1-10.mga4
+ Revision: 520157
- Mageia 4 Mass Rebuild

* Mon Jan 14 2013 umeabot <umeabot> 0.7.1-9.mga3
+ Revision: 385819
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Wed Mar 14 2012 wally <wally> 0.7.1-8.mga2
+ Revision: 223390
- fix post and preun scripts
- use configure2_5x
- clean .spec a bit

* Sat Apr 30 2011 misc <misc> 0.7.1-7.mga1
+ Revision: 93927
- increase release to match the one in Mandriva

* Sun Mar 06 2011 dmorgan <dmorgan> 0.7.1-1.mga1
+ Revision: 65227
- imported package wol


* Mon Feb 07 2011 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.7.1-5
- Rebuilt for https://fedoraproject.org/wiki/Fedora_15_Mass_Rebuild

* Mon Jul 27 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.7.1-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_12_Mass_Rebuild

* Wed Feb 25 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.7.1-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_11_Mass_Rebuild

* Sun Dec 07 2008 Fabian Affolter <fabian@bernewireless.net> - 0.7.1-2
- Fix Source0
- Fix License

* Sat Dec 06 2008 Fabian Affolter <fabian@bernewireless.net> - 0.7.1-1
- Initial package for Fedora
